## edu.stanford.nlp.util
Class CollectionFactory.ArrayListFactory<T>

    java.lang.Object
      edu.stanford.nlp.util.CollectionFactory<T>
          edu.stanford.nlp.util.CollectionFactory.ArrayListFactory<T>

All Implemented Interfaces:
  Serializable

Enclosing class:
  CollectionFactory<T>

    public static class CollectionFactory.ArrayListFactory<T>

extends CollectionFactory<T>

See Also:
  Serialized Form

Nested Class Summary

Nested classes/interfaces inherited from class edu.stanford.nlp.util.CollectionFactory
`CollectionFactory.ArrayListFactory<T>, CollectionFactory.HashSetFactory<T>, CollectionFactory.LinkedListFactory<T>`

Field Summary

Fields inherited from class edu.stanford.nlp.util.CollectionFactory
`ARRAY_LIST_FACTORY, HASH_SET_FACTORY, LINKED_LIST_FACTORY`

Constructor Summary
`CollectionFactory.ArrayListFactory()`

Method Summary
`Collection<T>` `newCollection()`
`Collection<T>` `newEmptyCollection()`

Methods inherited from class edu.stanford.nlp.util.CollectionFactory
`arrayListFactory, hashSetFactory, linkedListFactory`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CollectionFactory.ArrayListFactory

    public CollectionFactory.ArrayListFactory()

Method Detail

### newCollection

    public Collection<T> newCollection()

  Specified by:
    `newCollection` in class `CollectionFactory<T>`

### newEmptyCollection

    public Collection<T> newEmptyCollection()

  Specified by:
    `newEmptyCollection` in class `CollectionFactory<T>`

Stanford NLP Group